# Uses of Class
org.bukkit.permissions.PermissionAttachment

Packages that use PermissionAttachment
Package
Description
org.bukkit.command
Classes relating to handling specialized non-chat player input.
org.bukkit.permissions
Classes dedicated to providing binary state properties to players.

## Uses of PermissionAttachment in org.bukkit.command

Methods in org.bukkit.command that return PermissionAttachment
Modifier and Type
Method
Description
`default @NotNull PermissionAttachment`
MessageCommandSender.`addAttachment(@NotNull Plugin plugin)`
`default @NotNull PermissionAttachment`
MessageCommandSender.`addAttachment(@NotNull Plugin plugin, int ticks)`
`default @NotNull PermissionAttachment`
MessageCommandSender.`addAttachment(@NotNull Plugin plugin, @NotNull String name, boolean value)`
`default @NotNull PermissionAttachment`
MessageCommandSender.`addAttachment(@NotNull Plugin plugin, @NotNull String name, boolean value, int ticks)`
Methods in org.bukkit.command with parameters of type PermissionAttachment
Modifier and Type
Method
Description
`default void`
MessageCommandSender.`removeAttachment(@NotNull PermissionAttachment attachment)`

## Uses of PermissionAttachment in org.bukkit.permissions

Methods in org.bukkit.permissions that return PermissionAttachment
Modifier and Type
Method
Description
`@NotNull PermissionAttachment`
Permissible.`addAttachment(@NotNull Plugin plugin)`
Adds a new empty `PermissionAttachment` to this object
`@Nullable PermissionAttachment`
Permissible.`addAttachment(@NotNull Plugin plugin, int ticks)`
Temporarily adds a new empty `PermissionAttachment` to this object
`@NotNull PermissionAttachment`
Permissible.`addAttachment(@NotNull Plugin plugin, @NotNull String name, boolean value)`
Adds a new `PermissionAttachment` with a single permission by name and value
`@Nullable PermissionAttachment`
Permissible.`addAttachment(@NotNull Plugin plugin, @NotNull String name, boolean value, int ticks)`
Temporarily adds a new `PermissionAttachment` with a single permission by name and value
`@NotNull PermissionAttachment`
PermissibleBase.`addAttachment(@NotNull Plugin plugin)`
`@Nullable PermissionAttachment`
PermissibleBase.`addAttachment(@NotNull Plugin plugin, int ticks)`
`@NotNull PermissionAttachment`
PermissibleBase.`addAttachment(@NotNull Plugin plugin, @NotNull String name, boolean value)`
`@Nullable PermissionAttachment`
PermissibleBase.`addAttachment(@NotNull Plugin plugin, @NotNull String name, boolean value, int ticks)`
`@Nullable PermissionAttachment`
PermissionAttachmentInfo.`getAttachment()`
Gets the attachment providing this permission.
Methods in org.bukkit.permissions with parameters of type PermissionAttachment
Modifier and Type
Method
Description
`void`
PermissionRemovedExecutor.`attachmentRemoved(@NotNull PermissionAttachment attachment)`
Called when a `PermissionAttachment` is removed from a `Permissible`
`void`
Permissible.`removeAttachment(@NotNull PermissionAttachment attachment)`
Removes the given `PermissionAttachment` from this object
`void`
PermissibleBase.`removeAttachment(@NotNull PermissionAttachment attachment)`
Constructors in org.bukkit.permissions with parameters of type PermissionAttachment
Modifier
Constructor
Description
``
`PermissionAttachmentInfo(@NotNull Permissible permissible, @NotNull String permission, @Nullable PermissionAttachment attachment, boolean value)`